/*
    Copyright  1995-2001, The AROS Development Team. All rights reserved.
    $Id: catalog_funcs.c,v 1.6 2015/08/10 13:42:08 itix Exp $
*/

#include <libraries/locale.h>
#include <proto/hashtable.h>

#include "locale_intern.h"

/*
** Dispose the catalog's strings but not the Catalog structure 
** itself.
*/
void dispose_catalog(struct IntCatalog * cat,
                     struct LocaleBase * LocaleBase)
{
	DeleteHashTable(cat->ic_HashTable);
	FreeVec(cat->ic_Strings);
}
